Silky Roads bugged shop window after you press the Escape button
Closed, ResolvedPublic

Description

What is happening:
Describe here what is currently happening
Edit: Also happening to many shop NPCs.

After you close down Silky Road's shop at The Heartlands and then press the Escape button on your keyboard afterwards, a new shopping window will pop up with no items on it. Pressing the Escape button again will not close the empty shop window. The only way to close it is to click on the red X button on the right top corner of the window.

What should be happening:
Describe here what should be happening instead
The empty shopping window should not be appearing at all.

Steps to reproduce the issue:
Give a list of all steps leading to the issue, from the launch of the game to the issue

  • Go to The Heartlands and find Silky Roads
  • Click on Silky Roads and select the "Shop" option
  • Close Silky Road's shop window
  • Press the Escape button on your keyboard. A buggy shop window will come up with no items for sale
  • To close the empty shopping window, left-click the red X on the right top corner of the shopping window

Game client version:
Give the name of the archive from which you got this version
Launcher 0.2 Windows x64
Build V 0.1.1

Reproduced by:
Forum name of anyone having reproduced this issue, if any
Nekonin

Reproduced on:
List of operating systems this issue has been reproduced on, including their version number if available, and their architecture (32 bit or 64 bit)
Windows 10 x64

Crash logs or exceptions generated:
If applicable, give a link to an archive containing the crash logs generated, or copy/paste exceptions you got related to this error
None

Screenshots:
If applicable, give a direct link to screenshots/GIFs/videos of the issue, annotated to show exactly what's going wrong

Normal shop window:

Bugged shop window:

Video of the bug:
https://www.dropbox.com/s/haxeevszvf7ik0j/LoE%20LAR%20015.mp4?dl=0

Nekonin created this task.Dec 17 2016, 9:08 AM
Nekonin renamed this task from Silky Roads bugged window after you press the Escape button to Silky Roads bugged shop window after you press the Escape button.
Nekonin updated the task description. (Show Details)Dec 18 2016, 12:14 AM

The bug persists until you left click, use the "Talk" option on an npc, or change areas.

Rattletrap closed this task as Resolved.Sep 10 2017, 4:42 AM
Rattletrap added a subscriber: Rattletrap.

Issue has been resolved as of OAR build.